> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streamkap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search transforms (POST)

> POST alternative for GET /transforms. Use when URL length limits are exceeded (e.g., 100+ tag IDs). Supports both query parameters and request body. Body parameters take precedence over query parameters.



## OpenAPI

````yaml /openapi/openapi.json post /transforms/search
openapi: 3.1.0
info:
  title: Streamkap REST API
  description: >-
    The Streamkap REST API allows you to programmatically manage your CDC
    pipelines, sources, destinations, transforms, and more.


    Authenticate using a bearer token obtained from the [Access
    Token](/api-reference/auth/access-token) endpoint with your API client
    credentials.
  contact:
    name: Streamkap Support
    url: https://streamkap.com/
    email: support@streamkap.com
  license:
    name: Proprietary
  version: 2.0.0
servers:
  - url: https://api.streamkap.com
    description: Production
security: []
tags:
  - name: Alerts
    description: Manage alert subscribers, preferences, and notification credentials.
  - name: Authentication
    description: Obtain and refresh access tokens, manage client credentials and roles.
  - name: Billing
    description: Retrieve usage metrics, summaries, and export billing data.
  - name: Consumer Groups
    description: List, inspect, and reset Kafka consumer group offsets.
  - name: Dashboard
    description: Retrieve organisation-level statistics and overview data.
  - name: Destinations
    description: Create, configure, and manage data destinations and their lifecycle.
  - name: Kafka Access
    description: Manage Kafka users and their access permissions.
  - name: Logs
    description: Query and summarise system logs.
  - name: Pipelines
    description: Create, configure, and manage CDC pipelines and their lifecycle.
  - name: Project Keys
    description: Manage project keys that bundle API credentials and optional Kafka access.
  - name: Schema Registry
    description: Browse schema subjects, versions, and retrieve schema definitions.
  - name: Services
    description: View and switch service metadata.
  - name: Sources
    description: >-
      Create, configure, and manage data sources, snapshots, and their
      lifecycle.
  - name: Tags
    description: Create, update, and manage resource tags for organisation.
  - name: Topics
    description: Browse topic details, statistics, configurations, metrics, and messages.
  - name: Transforms
    description: >-
      Create, deploy, and manage data transforms, unit tests, and implementation
      details.
paths:
  /transforms/search:
    post:
      tags:
        - Transforms
      summary: Search transforms (POST)
      description: >-
        POST alternative for GET /transforms. Use when URL length limits are
        exceeded (e.g., 100+ tag IDs). Supports both query parameters and
        request body. Body parameters take precedence over query parameters.
      operationId: searchTransforms
      parameters:
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id
        - name: partial_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Partial Name
        - name: page
          in: query
          required: false
          schema:
            type: integer
            default: 1
            title: Page
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            default: 10
            title: Page Size
        - name: sort
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Sort field. Can be DB field (name, created_timestamp) or metric
              (status, latency, duration)
            title: Sort
          description: >-
            Sort field. Can be DB field (name, created_timestamp) or metric
            (status, latency, duration)
        - name: sort_dir
          in: query
          required: false
          schema:
            enum:
              - asc
              - desc
            type: string
            description: 'Sort direction: ''asc'' or ''desc'''
            default: asc
            title: Sort Dir
          description: 'Sort direction: ''asc'' or ''desc'''
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by status. Comma-separated for multiple (e.g., 'RUNNING',
              'RUNNING,STOPPED'). Valid statuses: RUNNING, INITIALIZING,
              DEPLOYING, CANCELLING, CANCELED, CREATED, RESTARTING, FAILING,
              FAILED, STOPPED, UNKNOWN
            title: Status
          description: >-
            Filter by status. Comma-separated for multiple (e.g., 'RUNNING',
            'RUNNING,STOPPED'). Valid statuses: RUNNING, INITIALIZING,
            DEPLOYING, CANCELLING, CANCELED, CREATED, RESTARTING, FAILING,
            FAILED, STOPPED, UNKNOWN
        - name: latency
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by latency in milliseconds. Format: 'operator:value' (e.g.,
              'gt:1000', 'lt:500'). Valid operators: gt (>), lt (<), gte (>=),
              lte (<=), eq (=), ne (!=)
            title: Latency
          description: >-
            Filter by latency in milliseconds. Format: 'operator:value' (e.g.,
            'gt:1000', 'lt:500'). Valid operators: gt (>), lt (<), gte (>=), lte
            (<=), eq (=), ne (!=)
        - name: duration
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by duration in milliseconds. Format: 'operator:value'
              (e.g., 'gt:5000', 'lt:1000'). Valid operators: gt (>), lt (<), gte
              (>=), lte (<=), eq (=), ne (!=)
            title: Duration
          description: >-
            Filter by duration in milliseconds. Format: 'operator:value' (e.g.,
            'gt:5000', 'lt:1000'). Valid operators: gt (>), lt (<), gte (>=),
            lte (<=), eq (=), ne (!=)
        - name: unwind_topics
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Unwind topics into separate rows (one per topic). Default is False
              (topics returned as array in each transform row). Note: Pagination
              with unwind_topics=true may not reflect accurate totals.
            default: false
            title: Unwind Topics
          description: >-
            Unwind topics into separate rows (one per topic). Default is False
            (topics returned as array in each transform row). Note: Pagination
            with unwind_topics=true may not reflect accurate totals.
        - name: tag_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Filter by tag IDs. Comma-separated list (e.g., 'tag1,tag2'). Use
              with tag_filter_operation to control AND/OR logic.
            title: Tag Ids
          description: >-
            Filter by tag IDs. Comma-separated list (e.g., 'tag1,tag2'). Use
            with tag_filter_operation to control AND/OR logic.
        - name: tag_filter_operation
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                enum:
                  - and
                  - or
              - type: 'null'
            description: >-
              Tag filter logic: 'or' (default) matches any tag, 'and' matches
              all tags.
            default: or
            title: Tag Filter Operation
          description: >-
            Tag filter logic: 'or' (default) matches any tag, 'and' matches all
            tags.
      requestBody:
        content:
          application/json:
            schema:
              anyOf:
                - $ref: '#/components/schemas/TransformDetailsReqBody'
                - type: 'null'
              title: Body
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FullTransformsRes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - FronteggHTTPAuthentication: []
components:
  schemas:
    TransformDetailsReqBody:
      properties:
        status:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
            - type: 'null'
          title: Status
          description: >-
            List of statuses (as array) or comma-separated string. Body takes
            precedence over query params.
        tag_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: string
            - type: 'null'
          title: Tag Ids
          description: >-
            List of tag IDs (as array) or comma-separated string. Body takes
            precedence over query params.
        tag_filter_operation:
          anyOf:
            - type: string
              enum:
                - and
                - or
            - type: 'null'
          title: Tag Filter Operation
          description: >-
            Tag filter logic: 'or' (default) matches any tag, 'and' matches all
            tags. Body takes precedence over query params.
      additionalProperties: true
      type: object
      title: TransformDetailsReqBody
      description: >-
        Body model for POST /transforms/search requests.


        Supports large lists of filter values that would exceed URL length
        limits when using GET.

        Body parameters take precedence over query parameters when both are
        provided.
    FullTransformsRes:
      properties: {}
      additionalProperties: true
      type: object
      title: FullTransformsRes
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    FronteggHTTPAuthentication:
      type: http
      scheme: bearer

````